> ## Documentation Index
> Fetch the complete documentation index at: https://docs.calmtreasury.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Disconnect an exchange

> Drop a wallet's exchange connection.

Drops the connection. Idempotent: disconnecting something already disconnected
still returns 204.


## OpenAPI

````yaml api/openapi.json DELETE /v1/exchange/{exchange}
openapi: 3.1.0
info:
  description: Fiat-to-USDC onramp API. The URL prefix (`/v1`) is the version contract.
  license:
    identifier: LicenseRef-Proprietary
    name: Proprietary
  title: Calm API
  version: v1
servers:
  - description: Production
    url: https://api.calmtreasury.xyz
  - description: Sandbox
    url: https://api.sandbox.calmtreasury.xyz
security: []
paths:
  /v1/exchange/{exchange}:
    delete:
      summary: Disconnect an exchange
      description: >-
        Disconnects an exchange and returns 204. Idempotent: disconnecting an
        already-disconnected exchange still returns 204.
      operationId: disconnectExchange
      parameters:
        - in: path
          name: exchange
          required: true
          schema:
            enum:
              - coinbase
            type: string
        - in: query
          name: wallet
          required: true
          schema:
            pattern: ^0x[a-fA-F0-9]{40}$
            type: string
      responses:
        '204':
          description: Exchange disconnected.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: >-
            Bad Request — `error.code` includes: generic_invalid_request,
            generic_validation_error, publishable_key_missing,
            unsupported_exchange, validation_error.
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: 'Unauthorized — `error.code` includes: invalid_publishable_key.'
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: 'Forbidden — `error.code` includes: origin_not_allowed.'
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: 'Too Many Requests — `error.code` includes: rate_limited.'
        '502':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: >-
            Bad Gateway — `error.code` includes:
            apikey_insufficient_permissions, exchange_provider_error,
            generic_internal_server_error, generic_unauthorized,
            wallet_invalid_credentials.
      security:
        - publishableKey: []
components:
  schemas:
    Error:
      properties:
        error:
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
          type: object
      required:
        - error
      type: object
  securitySchemes:
    publishableKey:
      description: Publishable key identifying the calling app.
      in: header
      name: x-calm-publishable-key
      type: apiKey

````